Add Member
Description
Add member will add or replace the membership of a group. This affects only direct memberships, not indirect memberships. If the user is already a member of the group it is still a success
Swagger / OpenAPI definition
You can see the swagger from your web service server: https://server.institution.edu/grouper-ws/docs
Swagger Lite on demo server (note version in URL)
Swagger non-Lite on demo server (note version in URL)
Features
Can assign membership to a "field" or "list", this is a custom type of membership to the group
Lookup subjects by subject lookup (by id, source, identifier, etc). To add a group to another group, lookup the groupToAdd by putting the group uuid (e.g. fa2dd790-d3f9-4cf4-ac41-bb82e63bff66) in the subject id of the subject lookup. Optionally you can use g:gsa as the source id.
Lookup groups by group lookup (by name or uuid)
Returns group / subject information, can be detailed or not
Can actAs another user
You can specify addExternalSubjectIfNotFound to T or F, if this is a search by id or identifier, with no source, or the external source, and the subject is not found, then add an external subject (if the user is allowed to do this)
Add member Lite service
Accepts one group and one member to add direct membership to group
subjectId is required in REST before 2.6.17
Documentation: SOAP (click on addMemberLite), REST (click on addMemberLite)
For REST, the request can put data in query string (in URL or request body)
REST request (colon is escaped to %3A): PUT /grouper-ws/servicesRest/v1_3_000/groups/aStem%3AaGroup/members/10021368
(see documentation above for details): Request object, response object
Samples (all files with "Lite" in them, click on "download" to see file)
Add member service
Accepts one group and many members to add direct membership to group
Can either add multiple members to a group, or can replace all existing members
Can operate in one transaction, or can let each membership add in its own separate unit
Documentation: SOAP (click on addMember), REST (click on addMember)
REST request (colon is escaped to %3A): PUT /grouper-ws/servicesRest/v1_3_000/groups/aStem%3AaGroup/members
(see documentation above for details): Request object, response object
Returns an overall status, and a status for each assignment
Samples (all files without "Lite" in them, click on "download" to see files)